Need to acknowledge to Apple's Apple ID and Privacy statement. Please manually log into https://appleid.apple.com (or https://appstoreconnect.apple.com) to acknowledge the statement.

Hi, There,

I have a pipeline is working days ago. but today suddenly throw this error without any code change.

I have use the account logged in to https://appstoreconnect.apple.com/ to check any agreements need take action, but there are no.

what can I do to solve the problem?

need I login to https://appleid.apple.com to check again?

Expo CLI 4.1.6 environment info:
System:
OS: macOS 10.15.7
Shell: 3.2.57 - /bin/bash
Binaries:
Node: 10.22.0 - /var/folders/n8/2n37lyp12k38zsg1j9g87rfc0000gn/T/yarn–1612839494993-0.6835384919218126/node
Yarn: 1.21.1 - /var/folders/n8/2n37lyp12k38zsg1j9g87rfc0000gn/T/yarn–1612839494993-0.6835384919218126/yarn
npm: 6.14.6 - ~/.nvm/versions/node/v10.22.0/bin/npm
Managers:
CocoaPods: 1.9.3 - /Users/kmacp/.rvm/gems/ruby-2.7.0/bin/pod
SDKs:
iOS SDK:
Platforms: iOS 14.0, DriverKit 19.0, macOS 10.15
IDEs:
Android Studio: 3.6 AI-192.7142.36.36.6392135
Xcode: 12.0.1/12A7300 - /usr/bin/xcodebuild
npmPackages:
expo: ^40.0.0 => 40.0.0
react: 16.13.1 => 16.13.1
react-dom: 16.13.1 => 16.13.1
react-native: https://github.com/expo/react-native/archive/sdk-40.0.0.tar.gz => 0.63.2
react-native-web: ~0.13.12 => 0.13.18
Expo Workflow: managed

3 Likes

Same issue here, I logged in to itunes connect but I cant see any tos I need to acknowledge

Hey all, are you still encountering this issue? I’m not seeing any other reports of this so I don’t believe it’s a widespread problem.

Cheers,
Adam

this is because we use CI on biterise, not build locally.
I know build locally is not a issue as expo cli will store the cookie locally. it will only ask the verify code at the first time.

but for bitrise, it is not working as every time it is a new machine.

do expo have any solution to skip the 2fa steps of apple? like APP-KEY?

I see the build is able to solve with skip-credentials-check, but for upload, this is still a problem.

Hi, @adamjnav, we’re observing this issue as well where we run “eas build --platform ios” and getting the following error:
“Authentication with Apple Developer Portal failed!
Error: Need to acknowledge to Apple’s Apple ID and Privacy statement. Please manually log into https://appleid.apple.com (or
https://appstoreconnect.apple.com) to acknowledge the statement.”

We logged into both websites, and no agreements or anything popped up.

Expo uses fastlane underneath right? I think it has something to do with this:

Apparently Apple now demands you authenticate with them using API Keys. This is what have found out, after days of no being able to build with the cli.

Sorry if i am mistaken.

we don’t use fastlane in this situation. is it possible that you do not have 2 factor or 2 step authentication enabled on your account @devops-prenetics? apple made this mandatory in feb 2021: Two-factor Authentication - Account Management - Support - Apple Developer

In an effort to keep your account more secure, two-factor authentication is required for Account Holders of a developer program to sign in to their Apple Developer account and Certificates, Identifiers & Profiles. Starting February 2021, two-factor authentication or two-step verification will be required for all users to sign in to App Store Connect. This extra layer of security for your Apple ID helps ensure that you’re the only person who can access your account.

1: use skip-credentials-check when run expo build:ios
2: 2FA now is madantory, but expo cli does not support APPLE API key
3: solution is use bitrise to upload, it have a solution to use apple password with apple APP specified key.

“solution is use bitrise to upload” - what do you mean? eas submit uses an app specific password to upload to the app store and that works fine. we no longer support expo upload:ios (which uses fastlane under the hood) but it also supported using app specific password.

expo-cli supports 2fa with apple. you should enable that.

thank you let me know that.

there are a github ticket tell me eas submit is not stable yet.

I’d be happy to know it now works.

eas submit works great, i am not aware of any instability issues, but it is in feature preview still. eas build is a bit earlier and more complicated, in particular around managed workflow app support - we’ll launch preview support there at end of q1 most likely.

here’s how you can use eas submit instead of expo upload:ios: Using EAS Submit with "expo build" - Expo Documentation

here’s more context on the change, if you’re curious: https://expo.fyi/expo-upload-ios

1 Like

Yikes, how can I get the build to run? :weary:
I’ve been experiencing the same error message for our Enterprise Distribution iOS app build as well;

“Need to acknowledge to Apple’s Apple ID and Privacy statement. Please manually log into https://appleid.apple.com (or https://appstoreconnect.apple.com) to acknowledge the statement.”

We’ve been doing a standalone build with an Enterprise Developer account for quite a while but now, as others have mentioned, that build is failing.
After reading through this thread I even tried to run the build with the “–skip-credentials-check” flag… it appeared to work but after about 10 mins or so it failed with “:heavy_multiplication_x: Build failed. Standalone build failed!”

(Note: I do not need to upload the app to the App store. I’m using expo to build the app with an Enterprise account and then distribute the app from my client’s servers.)

do you have 2fa enabled on your apple account? it’s required as of february

Thanks @notbrent that ended up solving the first issue.

As a follow up issue:
My client invited me to join their Apple Developer org and gave me the “Developer” role… it appears like that role doesn’t have sufficient privileges as I’m now getting the following error when running the tool with my account:
"This request is forbidden for security reasons - You are not allowed to perform this operation. Please check with one of your Team Admins, or, if you need further assistance, please contact Apple Developer Program Support"
:man_facepalming:t5:

Anyone know what privilege level my Apple Developer account needs to have in order to run the iOS builds?

you need to be an app manager with access to “Certificates, Identifiers & Profiles” - Apple Developer Program Roles - Support - Apple Developer

Thanks for the quick reply, I’m notifying the client now.